Subject: Re: [AVTCORE] rtp-circuit-breakers-00 when not using BE?

From: Colin Perkins <[email-masked]>
Date: Mon, 15 Oct 2012 17:05:45 +0100

James,

On 6 Mar 2012, at 23:16, James M. Polk wrote:
> Colin
> 
> I'm curious about this RTP extension for the cases in which DiffServ is actually used, but there's more load than capacity to serve the DS node(s)?
> 
> What happens then?

I'm not familiar with DiffServ deployments, but my assumption would be that over capacity traffic is delivered in a best effort manner, and is potentially subject to packet loss. That loss could potentially trigger the circuit breaker, if implemented.

> Also, in the fairly rare case that reservations are used, many times RTCP feedback will be used to invoke or cause a source to reduce resolution or to otherwise change audio codecs, which can be planned for *without* the need for this circuit breaker mode of just cease transmitting.

Sure.

> Would you be relying on the application at each end to know the difference as to whether that endpoint is within a BE network, a DS network that's congested or a network that uses (say) reservations, but still experiences problems?

The application can potentially do something smarter if it knows about the underlying network, but I think the circuit breaker is less subtle than that. I expect the circuit breaker to only fire as a last resort, and after the application would have had chance to perform congestion control or reestablish a reservation.

Colin

> James
> 
> At 01:52 AM 3/6/2012, Harald Alvestrand wrote:
>> On 03/06/2012 12:32 AM, Colin Perkins wrote:
>>> 
>>> Here's our initial attempt at a "circuit breakers" draft for RTCWeb. Comments welcome - this is very much a straw-man for discussion, rather than a final solution.
>>> 
>>> Colin

...

-- 
Colin Perkins
http://csperkins.org/